org.apache.cassandra.tools.nodetool.stats

## Class CompactionHistoryHolder

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.CompactionHistoryHolder

All Implemented Interfaces:
  StatsHolder

    public class CompactionHistoryHolder
    extends java.lang.Object
    implements StatsHolder

### Field Summary

Fields
`java.util.List<java.lang.String>` `indexNames`
`NodeProbe` `probe`

### Constructor Summary

Constructors
Constructor and Description
`CompactionHistoryHolder(NodeProbe probe)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.Object>` `convert2Map()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### probe

    public final NodeProbe probe

#### indexNames

    public java.util.List<java.lang.String> indexNames

### Constructor Detail

#### CompactionHistoryHolder

    public CompactionHistoryHolder(NodeProbe probe)

### Method Detail

#### convert2Map

    public java.util.Map<java.lang.String,java.lang.Object> convert2Map()

Specified by:
  `convert2Map` in interface `StatsHolder`